Berkeley DB version 5.3.28

## com.sleepycat.persist.evolve
Class EvolveInternal

    java.lang.Object
      com.sleepycat.persist.evolve.EvolveInternal

    public class EvolveInternal

extends Object

Internal access class that should not be used by applications.

Constructor Summary
`EvolveInternal()`

Method Summary
`static EvolveEvent` `newEvent()` Internal access method that should not be used by applications.
`static void` `updateEvent(EvolveEvent event, String entityClassName, int nRead, int nConverted)` Internal access method that should not be used by applications.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvolveInternal

    public EvolveInternal()

Method Detail

### newEvent

    public static EvolveEvent newEvent()

  Internal access method that should not be used by applications.

### updateEvent

    public static void updateEvent(EvolveEvent event,
                                   String entityClassName,
                                   int nRead,
                                   int nConverted)

  Internal access method that should not be used by applications.

Berkeley DB version 5.3.28

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.